de.esprit.netsuite.netdata.enums

## Enum NetIoType

- java.lang.Object
- - java.lang.Enum<NetIoType>
  - - de.esprit.netsuite.netdata.enums.NetIoType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NetIoType>

      public enum NetIoType
      extends java.lang.Enum<NetIoType>

  This enum defines the possible types of IO for client/server connections
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IO`
    `IO_CRYPT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientNetworkAdapter` | `createClientNetworkAdapter(ClientContext clientCtx, ServerHost serverHost)`
    `ServerConnector` | `createServerConnector(ServerContext ctx)`
    `static NetIoType` | `fromString(java.lang.String name)`
    `StreamWrapper` | `getStreamWrapper()`
    `static NetIoType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NetIoType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IO

          public static final NetIoType IO

    - #### IO_CRYPT

          public static final NetIoType IO_CRYPT

  - ### Method Detail

    - #### values

          public static NetIoType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NetIoType c : NetIoType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NetIoType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getStreamWrapper

          public StreamWrapper getStreamWrapper()

    - #### fromString

          public static NetIoType fromString(java.lang.String name)

    - #### createServerConnector

          public ServerConnector createServerConnector(ServerContext ctx)
                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### createClientNetworkAdapter

          public ClientNetworkAdapter createClientNetworkAdapter(ClientContext clientCtx,
                                                        ServerHost serverHost)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.